## kitinerary 18.08.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
set(PIM_VERSION "5.9.3")
project(KItinerary VERSION ${PIM_VERSION})

find_package(ECM 5.38 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_SOURCE_DIR}/cmake)

include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(ECMAddTests)
include(ECMGenerateHeaders)
include(ECMQtDeclareLoggingCategory)
include(ECMSetupVersion)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(GenerateExportHeader)

ecm_setup_version(PROJECT VARIABLE_PREFIX KITINERARY
    VERSION_HEADER kitinerary_version.h
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPimItineraryConfigVersion.cmake"
)

find_package(Qt5 REQUIRED COMPONENTS Test Gui Qml)
find_package(KF5 REQUIRED COMPONENTS I18n)
find_package(KF5Mime CONFIG REQUIRED)
find_package(KF5CalendarCore CONFIG)
find_package(KF5Contacts CONFIG)
if (NOT ANDROID)
    set_package_properties(KF5CalendarCore PROPERTIES TYPE REQUIRED)
    set_package_properties(KF5Contacts PROPERTIES TYPE REQUIRED)
endif()
find_package(KPimPkPass CONFIG REQUIRED)
find_package(Poppler COMPONENTS Core)
set_package_properties("Poppler" PROPERTIES TYPE OPTIONAL PURPOSE "Support for extraction from PDF booking confirmations.")
find_package(zxing CONFIG)
set_package_properties("zxing" PROPERTIES TYPE OPTIONAL PURPOSE "Support for barcode decoding." URL "https://github.com/glassechidna/zxing-cpp")
find_package(ZLIB REQUIRED)
set_package_properties("ZLIB" PROPERTIES PURPOSE "Support for decoding UIC 918-3 train tickets.")

if(TARGET Poppler::Core)
    set(HAVE_POPPLER ON)
    if (${Poppler_VERSION} VERSION_GREATER 0.57)
        set(HAVE_POPPLER_0_58 ON)
    endif()
endif()
if (TARGET zxing::libzxing)
    set(HAVE_ZXING ON)
endif()
if (TARGET KF5::CalendarCore)
    set(HAVE_KCAL ON)
endif()
if (TARGET KF5::Contacts)
    set(HAVE_KCONTACTS ON)
endif()

add_definitions(-DTRANSLATION_DOMAIN=\"kitinerary\")
add_subdirectory(src)
if(BUILD_TESTING)
   add_subdirectory(autotests)
endif()
feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKECONFIG_INSTALL_DIR "${CMAKECONFIG_INSTALL_PREFIX}/KPimItinerary")

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KPimItineraryConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KPimItineraryConfig.cmake"
    INSTALL_DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
)

install(FILES
        "${CMAKE_CURRENT_BINARY_DIR}/KPimItineraryConfig.cmake"
        "${CMAKE_CURRENT_BINARY_DIR}/KPimItineraryConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel)

install(EXPORT KPimItineraryTargets
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        FILE KPimItineraryTargets.cmake
        NAMESPACE KPim::
)
install(FILES org_kde_kitinerary.categories DESTINATION ${KDE_INSTALL_CONFDIR})
ki18n_install(po)

=== debian/changelog ===
kitinerary (18.08.3-2+rb1) UNRELEASED; urgency=medium

  * update

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 19 Jan 2021 14:19:17 +0800

kitinerary (18.08.3-2) unstable; urgency=medium

  [ Sandro Knauß ]
  * Update symbols from buildds for 18.08.3

 -- Sandro Knauß <hefee@debian.org>  Thu, 14 Feb 2019 21:08:13 +0100

kitinerary (18.08.3-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.3.0 (No changes needed).

 -- Sandro Knauß <hefee@debian.org>  Mon, 04 Feb 2019 15:58:55 +0100

kitinerary (18.08.3-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * New upstream version
    - Compatible with poppler 0.71 (Closes: #914902)

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 14 Dec 2018 08:40:11 -0500

kitinerary (18.08.1-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.2.1 (No changes needed).
  * Follow stable releases in KDE again.
  * New upstream release (18.08.1).

 -- Sandro Knauß <hefee@debian.org>  Tue, 02 Oct 2018 23:18:00 +0200

kitinerary (18.07.90-2) experimental; urgency=medium

  [ Sandro Knauß ]
  * fix dependency between libkpimitinerary5 and libkpimitinerary-data.
  * Update symbols from buildds for 18.07.90
  * Run tests not in parallel.

 -- Sandro Knauß <hefee@debian.org>  Thu, 06 Sep 2018 17:06:49 +0200

kitinerary (18.07.90-1) experimental; urgency=medium

  * First release in Debian.
  * Update watch file to match unstable releases, too.
  * New upstream release (18.07.90).
  * Update Vcs links to salsa.
  * Use secure copyright format uri.
  * Bump Standards-Version to 4.2.0 (No changes needed).
  * Bump debhelper build-dep and compat to 11.
  * Use secure version of download url
  * Update build-deps and deps with the info from cmake.
  * Add myself as Uploader.
  * Mark libkpimitinerary-dev as Multi-Arch: same.
  * Add symbols file for libkpimkitinerary5.
  * Split out arch independent data into libkpimitinerary-data.
  * Update copyright file for new upstream.
  * Add source/lintian-overrides for overwriting issues with test data.

 -- Sandro Knauß <hefee@debian.org>  Thu, 16 Aug 2018 10:44:18 +0200

kitinerary (0.0-0neon) xenial; urgency=medium

  * Initial package

 -- Neon CI <neon@kde.org>  Wed, 07 Feb 2018 17:35:10 +0000

=== debian/control ===
Source: kitinerary
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.38~),
               libkf5calendarcore-dev,
               libkf5contacts-dev,
               libkf5i18n-dev,
               libkf5mime-dev,
               libkpimpkpass-dev,
               libpoppler-private-dev,
               libpoppler-qt5-dev,
               pkg-config,
               pkg-kde-tools,
               qtbase5-dev,
               qtdeclarative5-dev,
               xauth,
               xvfb,
               zlib1g-dev,
Standards-Version: 4.3.0
Homepage: https://projects.kde.org/projects/kde/pim/kitinerary/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kitinerary
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kitinerary.git

Package: libkpimitinerary-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: library for Travel Reservation information - arch independent data
 This library provides an API for Data Model and Extraction System for
 Travel Reservation information.
 .
 This package contains the arch independent data for KPimItinerary.

Package: libkpimitinerary-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5mime-dev,
         libkpimitinerary5 (= ${binary:Version}),
         qtbase5-dev,
         ${misc:Depends},
Description: library for Travel Reservation information - development files
 This library provides an API for Data Model and Extraction System for
 Travel Reservation information.
 .
 This package contains the development files.

Package: libkpimitinerary5
Architecture: any
Multi-Arch: same
Depends: libkpimitinerary-data, ${misc:Depends}, ${shlibs:Depends}
Description: library for Travel Reservation information
 This library provides an API for Data Model and Extraction System for
 Travel Reservation information.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_auto_test:
	xvfb-run --\
	           dh_auto_test --no-parallel

## kitinerary 18.12.3

=== debian/changelog ===
kitinerary (18.12.3-0ubuntu2) disco; urgency=medium

  * No-change rebuild for fixed akonadi server.

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 07 Apr 2019 17:45:49 +0100

kitinerary (18.12.3-0ubuntu1) disco; urgency=medium

  * New build dep on libxml2-dev.
  * New upstream release (18.12.3)
  * Drop included poppler72.patch
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 16 Mar 2019 15:05:27 +0000

kitinerary (18.08.3-2ubuntu1) disco; urgency=medium

  * Cherry-pick commit to fix build with poppler 0.72

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 23 Feb 2019 11:15:53 -0500

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,20 @@
 Source: kitinerary
 Section: libs
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sandro Knauß <hefee@debian.org>
 Build-Depends: cmake (>= 3.0~),
                debhelper (>= 11),
                extra-cmake-modules (>= 5.38~),
-               libkf5calendarcore-dev,
-               libkf5contacts-dev,
+               libkf5calendarcore-dev (>= 4:18.12.3~),
+               libkf5contacts-dev (>= 4:18.12.3~),
                libkf5i18n-dev,
-               libkf5mime-dev,
-               libkpimpkpass-dev,
+               libkf5mime-dev (>= 18.12.3~),
+               libkpimpkpass-dev (>= 18.12.3~),
                libpoppler-private-dev,
                libpoppler-qt5-dev,
+               libxml2-dev,
                pkg-config,
                pkg-kde-tools,
                qtbase5-dev,
@@ -39,7 +41,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5mime-dev,
+Depends: libkf5mime-dev (>= 18.12.3~),
          libkpimitinerary5 (= ${binary:Version}),
          qtbase5-dev,
          ${misc:Depends},

## kitinerary 19.04.3

=== debian/changelog ===
kitinerary (19.04.3-0ubuntu2) eoan; urgency=medium

  * No-change rebuild against libpoppler90

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 29 Aug 2019 12:15:05 +0100

kitinerary (19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)
  * Install new extractor binary.
  * Update symbols from build logs.
  * Add optional build dep libphonenumber-dev

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 23 Jul 2019 18:54:59 +0100

kitinerary (18.12.3-0ubuntu3) eoan; urgency=medium

  * Rebuild against new poppler87.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 07 May 2019 12:11:57 +0200

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,12 @@
 Build-Depends: cmake (>= 3.0~),
                debhelper (>= 11),
                extra-cmake-modules (>= 5.38~),
-               libkf5calendarcore-dev (>= 4:18.12.3~),
-               libkf5contacts-dev (>= 4:18.12.3~),
+               libkf5calendarcore-dev (>= 4:19.04.3~),
+               libkf5contacts-dev (>= 4:19.04.3~),
                libkf5i18n-dev,
-               libkf5mime-dev (>= 18.12.3~),
-               libkpimpkpass-dev (>= 18.12.3~),
+               libkf5mime-dev (>= 19.04.3~),
+               libkpimpkpass-dev (>= 19.04.3~),
+               libphonenumber-dev,
                libpoppler-private-dev,
                libpoppler-qt5-dev,
                libxml2-dev,
@@ -41,7 +42,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5mime-dev (>= 18.12.3~),
+Depends: libkf5mime-dev (>= 19.04.3~),
          libkpimitinerary5 (= ${binary:Version}),
          qtbase5-dev,
          ${misc:Depends},

## kitinerary 19.08.3

=== debian/changelog ===
kitinerary (19.08.3-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (19.08.3).
  * Update build-deps and deps with the info from cmake.

 -- Sandro Knauß <hefee@debian.org>  Sat, 30 Nov 2019 22:54:55 +0100

kitinerary (19.08.2-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.4.1 (No changes needed).
  * New upstream release (19.08.2).
  * Update build-deps and deps with the info from cmake.
  * Update install files for new upstream release.
  * Update libkpimitinerary-dev dependencies.

 -- Sandro Knauß <hefee@debian.org>  Fri, 08 Nov 2019 10:39:24 +0100

kitinerary (18.08.3-4) unstable; urgency=medium

  * Release to unstable.

 -- Sandro Knauß <hefee@debian.org>  Thu, 14 Nov 2019 23:49:47 +0100

kitinerary (18.08.3-3) experimental; urgency=medium

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.4.0 (No changes needed).
  * Bump compat level to 12.
  * Use virtual packages to bundle KDEPIM.
  * Enforce depdendencies between KDEPIM packages to enable bundling.

 -- Sandro Knauß <hefee@debian.org>  Sat, 05 Oct 2019 00:03:53 +0200

=== debian/control ===
Source: kitinerary
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 12),
               extra-cmake-modules (>= 5.60.0~),
               libkf5calendarcore-dev (>= 4:19.08.3~),
               libkf5contacts-dev (>= 4:19.08.3~),
               libkf5i18n-dev (>= 5.60.0~),
               libkf5mime-dev (>= 19.08.3~),
               libkpimpkpass-dev (>> 18.08.3-2),
               libphonenumber-dev,
               libpoppler-private-dev,
               libpoppler-qt5-dev,
               libxml2-dev,
               pkg-config,
               pkg-kde-tools,
               qtbase5-dev (>= 5.11.0~),
               qtdeclarative5-dev (>= 5.11.0~),
               xauth,
               xvfb,
               zlib1g-dev
Standards-Version: 4.4.1
Homepage: https://projects.kde.org/projects/kde/pim/kitinerary/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kitinerary
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kitinerary.git

Package: libkpimitinerary-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: library for Travel Reservation information - arch independent data
 This library provides an API for Data Model and Extraction System for
 Travel Reservation information.
 .
 This package contains the arch independent data for KPimItinerary.

Package: libkpimitinerary-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5contacts-dev (>= 4:19.08.3~),
         libkf5i18n-dev (>= 5.60.0~),
         libkf5mime-dev (>= 19.08.3~),
         libkpimitinerary5 (= ${binary:Version}),
         libkpimpkpass-dev (>> 18.08.3-2),
         qtbase5-dev (>= 5.11.0~),
         qtdeclarative5-dev (>= 5.11.0~),
         ${misc:Depends}
Description: library for Travel Reservation information - development files
 This library provides an API for Data Model and Extraction System for
 Travel Reservation information.
 .
 This package contains the development files.

Package: libkpimitinerary5
Architecture: any
Multi-Arch: same
Depends: libkpimitinerary-data, ${misc:Depends}, ${shlibs:Depends}
Description: library for Travel Reservation information
 This library provides an API for Data Model and Extraction System for
 Travel Reservation information.
Provides: ${ABI:VirtualPackage}

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

AbiVirtualPackageVersion = $(call dpkg_late_eval,AbiVirtualPackageVersion,echo '${DEB_VERSION_UPSTREAM}' | sed -e 's/\.[0-9]\+$$//')
pkgs_lib = $(filter-out %-dev %-dbg %-bin %-data,$(filter lib%,$(shell dh_listpackages)))

override_dh_makeshlibs:
	for pkg in $(pkgs_lib); do \
		name=$$( echo "$${pkg}" | sed -e 's/abi[0-9]\+\s*//'); \
		echo "ABI:VirtualPackage=$${name}-${AbiVirtualPackageVersion}" >> debian/$${pkg}.substvars; \
		$(overridden_command) -p$${pkg} -V "$${pkg} (>= $(DEB_VERSION_EPOCH_UPSTREAM)), $${name}-${AbiVirtualPackageVersion}"; \
	done

override_dh_auto_test:
	xvfb-run --\
	           dh_auto_test --no-parallel

## kitinerary 19.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
set(PIM_VERSION "5.13.3")
project(KItinerary VERSION ${PIM_VERSION})

set(CMAKE_CXX_STANDARD 14)
set(KF5_MIN_VERSION "5.63.0")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake)

include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(ECMAddTests)
include(ECMGenerateHeaders)
include(ECMQtDeclareLoggingCategory)
include(ECMSetupVersion)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(GenerateExportHeader)

ecm_setup_version(PROJECT VARIABLE_PREFIX KITINERARY
    VERSION_HEADER kitinerary_version.h
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPimItineraryConfigVersion.cmake"
)

set(QT_REQUIRED_VERSION "5.11.0")


find_package(Qt5 ${QT_REQUIRED_VERSION} REQUIRED COMPONENTS Test Gui Qml)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS I18n)
if (NOT ANDROID)
    find_package(SharedMimeInfo 1.3 REQUIRED)
endif()

set(KMIME_VERSION "5.13.3")
set(PIM_PKPASS "5.13.3")

find_package(KF5Mime ${KMIME_VERSION} CONFIG REQUIRED)
find_package(KF5CalendarCore ${KF5_MIN_VERSION} CONFIG)
find_package(KF5Contacts ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KPimPkPass ${PIM_PKPASS} CONFIG REQUIRED)
find_package(Poppler COMPONENTS Core)
set_package_properties("Poppler" PROPERTIES TYPE OPTIONAL PURPOSE "Support for extraction from PDF booking confirmations.")
find_package(ZXing CONFIG)
set_package_properties("ZXing" PROPERTIES TYPE OPTIONAL PURPOSE "Support for barcode decoding." URL "https://github.com/nu-book/zxing-cpp")
find_package(ZLIB REQUIRED)
set_package_properties("ZLIB" PROPERTIES PURPOSE "Support for decoding UIC 918-3 train tickets.")
find_package(LibXml2 MODULE)
set_package_properties("LibXml2" PROPERTIES PURPOSE "Support for extraction from HTML booking confirmations." URL "http://libxml.org")
find_package(PhoneNumber OPTIONAL_COMPONENTS PhoneNumber QUIET)
set_package_properties("PhoneNumber" PROPERTIES PURPOSE "Parsing and geo-coding of phone numbers.")

if (NOT ANDROID)
    set_package_properties(KF5CalendarCore PROPERTIES TYPE REQUIRED)
    set_package_properties(LibXml2 PROPERTIES TYPE REQUIRED)
endif()

if(TARGET Poppler::Core)
    # check if we have private Poppler headers
    find_file(HAVE_POPPLER_UNSTABLE_HEADERS "OutputDev.h" PATHS ${Poppler_INCLUDE_DIRS} NO_DEFAULT_PATH)
    if (NOT HAVE_POPPLER_UNSTABLE_HEADERS)
        message(WARNING "Poppler was not build with ENABLE_UNSTABLE_API_ABI_HEADER - building without PDF support!")
        set(HAVE_POPPLER FALSE)
    else()
        set(HAVE_POPPLER TRUE)
    endif()
endif()
if (HAVE_POPPLER)
    string(REPLACE "." ";" _poppler_version_components ${Poppler_VERSION})
    list(GET _poppler_version_components 0 POPPLER_VERSION_MAJOR)
    list(GET _poppler_version_components 1 POPPLER_VERSION_MINOR)
    list(GET _poppler_version_components 2 POPPLER_VERSION_PATCH)
endif()

if (TARGET ZXing::Core)
    set(HAVE_ZXING ON)
endif()

if (TARGET KF5::CalendarCore)
    set(HAVE_KCAL ON)
endif()
if (LIBXML2_FOUND)
    set(HAVE_LIBXML2 ON)
endif()
if (TARGET PhoneNumber::PhoneNumber)
    set(HAVE_PHONENUMBER ON)
endif()

add_definitions(-DTRANSLATION_DOMAIN=\"kitinerary\")

if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050e00)
   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054000)
endif()

add_definitions(-DQT_NO_FOREACH)

add_subdirectory(src)
if(BUILD_TESTING)
   add_subdirectory(autotests)
endif()
feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKECONFIG_INSTALL_DIR "${CMAKECONFIG_INSTALL_PREFIX}/KPimItinerary")

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KPimItineraryConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KPimItineraryConfig.cmake"
    INSTALL_DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
)

install(FILES
        "${CMAKE_CURRENT_BINARY_DIR}/KPimItineraryConfig.cmake"
        "${CMAKE_CURRENT_BINARY_DIR}/KPimItineraryConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel)

install(EXPORT KPimItineraryTargets
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        FILE KPimItineraryTargets.cmake
        NAMESPACE KPim::
)
install(FILES org_kde_kitinerary.categories  DESTINATION  ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
ki18n_install(po)

=== autotests/CMakeLists.txt ===
add_definitions(-DSOURCE_DIR="${CMAKE_CURRENT_SOURCE_DIR}")

ecm_add_test(stringutiltest.cpp LINK_LIBRARIES Qt5::Test KPim::Itinerary)
ecm_add_test(datatypestest.cpp LINK_LIBRARIES Qt5::Test Qt5::Qml KPim::Itinerary)
ecm_add_test(jsonlddocumenttest.cpp LINK_LIBRARIES Qt5::Test KPim::Itinerary)
ecm_add_test(mergeutiltest.cpp LINK_LIBRARIES Qt5::Test KPim::Itinerary)
ecm_add_test(locationutiltest.cpp LINK_LIBRARIES Qt5::Test KPim::Itinerary)
ecm_add_test(knowledgedbtest.cpp LINK_LIBRARIES Qt5::Test KPim::Itinerary)
ecm_add_test(airportdbtest.cpp LINK_LIBRARIES Qt5::Test KPim::Itinerary)
ecm_add_test(extractorinputtest.cpp LINK_LIBRARIES Qt5::Test KPim::Itinerary)
ecm_add_test(extractorrepositorytest.cpp LINK_LIBRARIES Qt5::Test KPim::Itinerary)
ecm_add_test(bcbpparsertest.cpp LINK_LIBRARIES Qt5::Test KPim::Itinerary)
ecm_add_test(uic9183parsertest.cpp LINK_LIBRARIES Qt5::Test KPim::Itinerary)
ecm_add_test(rct2parsertest.cpp LINK_LIBRARIES Qt5::Test KPim::Itinerary)
ecm_add_test(jsapitest.cpp ../src/jsapi/jsonld.cpp TEST_NAME jsapitest LINK_LIBRARIES Qt5::Test KPim::Itinerary Qt5::Qml)
ecm_add_test(bitarraytest.cpp ../src/jsapi/bitarray.cpp TEST_NAME bitarraytest LINK_LIBRARIES Qt5::Test KPim::Itinerary)
ecm_add_test(structureddataextractortest.cpp LINK_LIBRARIES Qt5::Test KPim::Itinerary)
ecm_add_test(pdfdocumenttest.cpp LINK_LIBRARIES Qt5::Test KPim::Itinerary Qt5::Gui)
ecm_add_test(htmldocumenttest.cpp LINK_LIBRARIES Qt5::Test KPim::Itinerary)
ecm_add_test(barcodedecodertest.cpp LINK_LIBRARIES Qt5::Test KPim::Itinerary Qt5::Gui)
ecm_add_test(pkpassextractortest.cpp LINK_LIBRARIES Qt5::Test KPim::Itinerary KPim::PkPass)
ecm_add_test(extractorutiltest.cpp LINK_LIBRARIES Qt5::Test KPim::Itinerary)
ecm_add_test(postprocessortest.cpp LINK_LIBRARIES Qt5::Test KPim::Itinerary)
if (TARGET KF5::CalendarCore)
    ecm_add_test(calendarhandlertest.cpp LINK_LIBRARIES Qt5::Test KPim::Itinerary)
    ecm_add_test(extractortest.cpp LINK_LIBRARIES Qt5::Test KPim::Itinerary KPim::PkPass)
endif()
ecm_add_test(documentutiltest.cpp LINK_LIBRARIES Qt5::Test KPim::Itinerary)
ecm_add_test(filetest.cpp LINK_LIBRARIES Qt5::Test KPim::Itinerary KPim::PkPass)

=== src/CMakeLists.txt ===
set(KDE_INSTALL_INCLUDEDIR_PIM ${KDE_INSTALL_INCLUDEDIR}/KPim)

add_subdirectory(cli)
add_subdirectory(knowledgedb-generator)
configure_file(config-kitinerary.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kitinerary.h)

set(kitinerary_lib_srcs
    datatypes/action.cpp
    datatypes/brand.cpp
    datatypes/bustrip.cpp
    datatypes/creativework.cpp
    datatypes/event.cpp
    datatypes/flight.cpp
    datatypes/organization.cpp
    datatypes/person.cpp
    datatypes/place.cpp
    datatypes/reservation.cpp
    datatypes/taxi.cpp
    datatypes/ticket.cpp
    datatypes/traintrip.cpp
    datatypes/rentalcar.cpp
    datatypes/visit.cpp

    generic/genericpdfextractor.cpp
    generic/genericpkpassextractor.cpp
    generic/genericuic918extractor.cpp
    generic/structureddataextractor.cpp

    jsapi/barcode.cpp
    jsapi/bitarray.cpp
    jsapi/context.cpp
    jsapi/jsonld.cpp

    knowledgedb/alphaid.cpp
    knowledgedb/airportdb.cpp
    knowledgedb/countrydb.cpp
    knowledgedb/iatacode.cpp
    knowledgedb/knowledgedb.cpp
    knowledgedb/timezonedb.cpp
    knowledgedb/trainstationdb.cpp

    pdf/pdfdocument.cpp
    pdf/pdfextractoroutputdevice.cpp
    pdf/pdfimage.cpp
    pdf/pdfvectorpicture.cpp
    pdf/popplerglobalparams.cpp
    pdf/popplerutils.cpp

    uic9183/rct2ticket.cpp
    uic9183/uic9183block.cpp
    uic9183/uic9183parser.cpp
    uic9183/uic9183ticketlayout.cpp
    uic9183/vendor0080block.cpp

    barcodedecoder.cpp
    calendarhandler.cpp
    documentutil.cpp
    extractor.cpp
    extractorcapabilities.cpp
    extractorengine.cpp
    extractorfilter.cpp
    extractorinput.cpp
    extractorpostprocessor.cpp
    extractorrepository.cpp
    extractorutil.cpp
    extractorvalidator.cpp
    file.cpp
    flightpostprocessor.cpp
    htmldocument.cpp
    iatabcbpparser.cpp
    jsonlddocument.cpp
    jsonldimportfilter.cpp
    locationutil.cpp
    mergeutil.cpp
    qimagepurebinarizer.cpp
    sortutil.cpp
    stringutil.cpp
)
qt5_add_resources(kitinerary_lib_srcs extractors/extractors.qrc)
ecm_qt_declare_logging_category(kitinerary_lib_srcs HEADER logging.h IDENTIFIER KItinerary::Log CATEGORY_NAME org.kde.kitinerary)
ecm_qt_declare_logging_category(kitinerary_lib_srcs HEADER compare-logging.h IDENTIFIER KItinerary::CompareLog CATEGORY_NAME org.kde.kitinerary.comparator)
ecm_qt_declare_logging_category(kitinerary_lib_srcs HEADER validator-logging.h IDENTIFIER KItinerary::ValidatorLog CATEGORY_NAME org.kde.kitinerary.extractorValidator)

add_library(KPimItinerary ${kitinerary_lib_srcs})
add_library(KPim::Itinerary ALIAS KPimItinerary)
generate_export_header(KPimItinerary BASE_NAME KItinerary)
set_target_properties(KPimItinerary PROPERTIES
    VERSION ${KITINERARY_VERSION_STRING}
    SOVERSION ${KITINERARY_SOVERSION}
    EXPORT_NAME Itinerary
)
target_include_directories(KPimItinerary INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_PIM}>")
target_include_directories(KPimItinerary PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>")
target_include_directories(KPimItinerary PRIVATE ${CMAKE_BINARY_DIR})
target_link_libraries(KPimItinerary
    PUBLIC
        Qt5::Core
        KF5::Mime
    PRIVATE
        Qt5::Qml
        KF5::Archive
        KF5::I18n
        KF5::Contacts
        KPim::PkPass
        ${ZLIB_LIBRARIES}
)
if (HAVE_POPPLER)
    target_link_libraries(KPimItinerary PRIVATE Poppler::Core)
endif()

if (HAVE_ZXING)
    target_link_libraries(KPimItinerary PRIVATE ZXing::Core)
endif()

if (HAVE_KCAL)
    target_link_libraries(KPimItinerary PUBLIC KF5::CalendarCore)
endif()
if (HAVE_LIBXML2)
    target_compile_definitions(KPimItinerary PRIVATE ${LIBXML2_DEFINITIONS})
    target_include_directories(KPimItinerary PRIVATE ${LIBXML2_INCLUDE_DIR})
    target_link_libraries(KPimItinerary PRIVATE ${LIBXML2_LIBRARIES})
endif()
if (HAVE_PHONENUMBER)
    target_link_libraries(KPimItinerary PRIVATE PhoneNumber::PhoneNumber)
endif()

ecm_generate_headers(KItinerary_FORWARDING_HEADERS
    HEADER_NAMES
        BarcodeDecoder
        CalendarHandler
        DocumentUtil
        Extractor
        ExtractorCapabilities
        ExtractorEngine
        ExtractorFilter
        ExtractorInput
        ExtractorPostprocessor
        ExtractorRepository
        File
        HtmlDocument
        IataBcbpParser
        JsonLdDocument
        LocationUtil
        MergeUtil
        SortUtil
    PREFIX KItinerary
    REQUIRED_HEADERS KItinerary_HEADERS
)
ecm_generate_headers(KItinerary_KnowledgeDb_FORWARDING_HEADERS
    HEADER_NAMES
        AlphaId
        CountryDb
        KnowledgeDb
    PREFIX KItinerary
    REQUIRED_HEADERS KItinerary_KnowledgeDb_HEADERS
    RELATIVE knowledgedb
)
ecm_generate_headers(KItinerary_Datatypes_FORWARDING_HEADERS
    HEADER_NAMES
        Action
        Brand
        BusTrip
        CreativeWork
        Datatypes
        Event
        Flight
        Organization
        Reservation
        RentalCar
        Person
        Place
        Taxi
        Ticket
        TrainTrip
        Visit
    PREFIX KItinerary
    REQUIRED_HEADERS KItinerary_Datatypes_HEADERS
    RELATIVE datatypes
)
ecm_generate_headers(KItinerary_Pdf_FORWARDING_HEADERS
    HEADER_NAMES
        PdfDocument
        PdfImage
    PREFIX KItinerary
    REQUIRED_HEADERS KItinerary_Pdf_HEADERS
    RELATIVE pdf
)
ecm_generate_headers(KItinerary_Uic9183_FORWARDING_HEADERS
    HEADER_NAMES
        Rct2Ticket
        Uic9183Block
        Uic9183Parser
        Uic9183TicketLayout
        Vendor0080Block
    PREFIX KItinerary
    REQUIRED_HEADERS KItinerary_Uic9183_HEADERS
    RELATIVE uic9183
)

install(TARGETS KPimItinerary EXPORT KPimItineraryTargets ${INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES
    ${KItinerary_FORWARDING_HEADERS}
    ${KItinerary_KnowledgeDb_FORWARDING_HEADERS}
    ${KItinerary_Datatypes_FORWARDING_HEADERS}
    ${KItinerary_Pdf_FORWARDING_HEADERS}
    ${KItinerary_Uic9183_FORWARDING_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_PIM}/KItinerary
)
install(FILES
    ${KItinerary_HEADERS}
    ${KItinerary_AirportDb_HEADERS}
    ${KItinerary_Datatypes_HEADERS}
    ${KItinerary_KnowledgeDb_HEADERS}
    ${KItinerary_Pdf_HEADERS}
    ${KItinerary_Uic9183_HEADERS}
    ${CMAKE_CURRENT_BINARY_DIR}/kitinerary_export.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_PIM}/kitinerary
)
if (NOT ANDROID)
    install(FILES application-vnd-kde-itinerary.xml DESTINATION ${XDG_MIME_INSTALL_DIR})
    update_xdg_mimetypes(${XDG_MIME_INSTALL_DIR})
endif()

=== debian/changelog ===
kitinerary (19.12.3-0ubuntu1) focal; urgency=medium

  * Move qdebug categories files to new location.
  * New upstream release (19.12.3)
  * Build with poppler again.
  * Add new opional build depend libzxingcore-dev
  * Update install files.
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Apr 2020 13:58:10 +0100

kitinerary (19.04.3-0ubuntu4) focal; urgency=medium

  * Build without poppler. Can be reverted once we have version 19.12."

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Feb 2020 09:19:33 +0000

kitinerary (19.04.3-0ubuntu3) focal; urgency=medium

  * No-change rebuild against libpoppler95

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 28 Feb 2020 04:29:01 +0000

=== debian/control ===
Source: kitinerary
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.38~),
               libkf5calendarcore-dev (>= 4:19.08.3~),
               libkf5contacts-dev (>= 4:19.08.3~),
               libkf5i18n-dev,
               libkf5mime-dev (>= 19.12.3~),
               libkpimpkpass-dev (>= 19.12.3~),
               libphonenumber-dev,
               libpoppler-private-dev,
               libpoppler-qt5-dev,
               libxml2-dev,
               libzxingcore-dev,
               pkg-config,
               pkg-kde-tools,
               qtbase5-dev,
               qtdeclarative5-dev,
               xauth,
               xvfb,
               zlib1g-dev,
Standards-Version: 4.3.0
Homepage: https://projects.kde.org/projects/kde/pim/kitinerary/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kitinerary
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kitinerary.git

Package: libkpimitinerary-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: library for Travel Reservation information - arch independent data
 This library provides an API for Data Model and Extraction System for
 Travel Reservation information.
 .
 This package contains the arch independent data for KPimItinerary.

Package: libkpimitinerary-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5mime-dev (>= 19.12.3~),
         libkpimitinerary5 (= ${binary:Version}),
         qtbase5-dev,
         ${misc:Depends},
Description: library for Travel Reservation information - development files
 This library provides an API for Data Model and Extraction System for
 Travel Reservation information.
 .
 This package contains the development files.

Package: libkpimitinerary5
Architecture: any
Multi-Arch: same
Depends: libkpimitinerary-data, ${misc:Depends}, ${shlibs:Depends}
Description: library for Travel Reservation information
 This library provides an API for Data Model and Extraction System for
 Travel Reservation information.

## kitinerary 20.08.1

=== debian/changelog ===
kitinerary (20.08.1-0ubuntu2) groovy; urgency=medium

  * No-change rebuild against libpoppler102.

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Sep 2020 17:03:13 +0100

kitinerary (20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 13:54:44 +0100

kitinerary (20.08.0-0ubuntu2) groovy; urgency=medium

  * Update libkpimitinerary-dev.install so it installs
    kitinerary_version.h

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 31 Aug 2020 12:16:42 +0100

kitinerary (20.08.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.0)
  * Update symbols.
  * Build depend on libkf5archive-dev
  * make build time tests non-fatal.

 -- Rik Mills <rikmills@kde.org>  Wed, 26 Aug 2020 12:20:24 +0100

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,12 @@
 Build-Depends: cmake (>= 3.0~),
                debhelper (>= 11),
                extra-cmake-modules (>= 5.38~),
+               libkf5archive-dev,
                libkf5calendarcore-dev (>= 4:19.08.3~),
                libkf5contacts-dev (>= 4:19.08.3~),
                libkf5i18n-dev,
-               libkf5mime-dev (>= 19.12.3~),
-               libkpimpkpass-dev (>= 19.12.3~),
+               libkf5mime-dev (>= 20.08.1~),
+               libkpimpkpass-dev (>= 20.08.1~),
                libphonenumber-dev,
                libpoppler-private-dev,
                libpoppler-qt5-dev,
@@ -43,7 +44,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5mime-dev (>= 19.12.3~),
+Depends: libkf5mime-dev (>= 20.08.1~),
          libkpimitinerary5 (= ${binary:Version}),
          qtbase5-dev,
          ${misc:Depends},
